## ddupdate 0.5.3

=== Makefile ===
#
#  Standard Makefile supports targets build, install and clean + static
#  code checking. make install respects DESTDIR.


ifeq ($(DESTDIR),)
    DESTDIR     = $(CURDIR)/install
endif

PYTHON_SRC      = plugins lib/ddupdate setup.py ddupdate ddupdate-config

# vim-compatible error reporting:
pylint_template = {path}:{line}: [{msg_id}({symbol}), {obj}] {msg}


all:	build

build:
	python3 setup.py --quiet build

install: .phony
	python3 setup.py --quiet install --root=$(DESTDIR)

clean: .phony
	python3 setup.py clean

pylint: $(PYTHON_SRC)
	-PYTHONPATH=$(CURDIR)/lib python3-pylint \
	        --rcfile=pylint.conf \
	        --msg-template='$(pylint_template)' \
	        $?

pydocstyle: $(PYTHON_SRC)
	pydocstyle $?

pycodestyle: $(PYTHON_SRC)
	pycodestyle $?

.phony:

=== debian/changelog ===
ddupdate (0.5.3-1) sid; urgency=medium

  * New ITP package, closes: #886546

 -- Alec Leamas <leamas.alec@gmail.com>  Sun, 04 Feb 2018 19:35:45 +0100

=== debian/control ===
Source: ddupdate
Section: net
Priority: optional
Maintainer: Alec Leamas <leamas.alec@gmail.com>
Build-Depends: debhelper (>= 11),
  dh-python, python3, python3-setuptools
Standards-Version: 4.1.3
Homepage: https://github.com/leamas/ddupdate
Vcs-Git: https://github.com/leamas/ddupdate.git -b debian
Vcs-Browser: https://github.com/leamas/ddupdate/tree/debian

Package: ddupdate
Architecture: all
Pre-Depends: adduser
Depends: iproute2, ${misc:Depends}, ${python3:Depends}
Description: Tool updating DNS data for dynamic IP addresses
 Updates dynamic IP addresses typically obtained using DHCP with dynamic
 DNS services such as changeip.com, duckdns.org or no-ip.com. This makes
 it possible to access a machine with a fixed name like myhost.duckdns.org
 even if the ip address changes. It is a linux-centric, user-friendly and
 secure alternative to the  ubiquitous ddclient(8)
 .
 ddupdate has a plugin structure with plugins for obtaining the actual
 address (typically hardware-dependent) and to update it (service depen‐
 dent). It is distributed with systemd support to run at regular intervals
 and with NetworkManager templates to run when interfaces goes up or down.
 .
 The package sports a simple interactive setup script which should be
 suitable in most cases.

## ddupdate 0.6.1

=== debian/changelog ===
ddupdate (0.6.1-2) sid; urgency=medium

  * Fix packaging glitches: standards-version, whitespace
  * Add missing debian/upstream/metadata.

 -- Alec Leamas <leamas.alec@gmail.com>  Thu, 14 Jun 2018 08:20:55 +0200

ddupdate (0.6.1-1) sid; urgency=medium

  * New upstream maintenance release

 -- Alec Leamas <leamas.alec@gmail.com>  Tue, 12 Jun 2018 20:47:51 +0200

ddupdate (0.6.0-1) sid; urgency=medium

  * New upstream release
  * Support for system-wide services dropped in favor of systemd
    user services. Use ddupdate-config to reconfigure.
  * Closes: #890121, control file description nit-picking.

 -- Alec Leamas <leamas.alec@gmail.com>  Sun, 18 Feb 2018 20:05:37 +0100

=== debian/control ===
Source: ddupdate
Section: net
Priority: optional
Maintainer: Alec Leamas <leamas.alec@gmail.com>
Build-Depends: debhelper (>= 11),
  dh-python, pkg-config, python3, python3-setuptools, systemd
Standards-Version: 4.1.4
Homepage: https://github.com/leamas/ddupdate
Vcs-Git: https://github.com/leamas/ddupdate.git -b debian
Vcs-Browser: https://github.com/leamas/ddupdate/tree/debian

Package: ddupdate
Architecture: all
Depends: iproute2, ${misc:Depends}, ${python3:Depends}
Description: Tool updating DNS data for dynamic IP addresses
 Updates dynamic IP addresses typically obtained using DHCP with dynamic
 DNS services such as changeip.com, duckdns.org or no-ip.com. This makes
 it possible to access a machine with a fixed name like myhost.duckdns.org
 even if the ip address changes. It is a linux-centric, user-friendly and
 secure alternative to the ubiquitous ddclient(8)
 .
 ddupdate has a plugin structure with plugins for obtaining the actual
 address (typically hardware-dependent) and to update it (service dependent).
 It is distributed with systemd support to run at regular intervals
 and with NetworkManager templates to run when interfaces goes up or down.
 .
 The package sports a simple interactive setup script which should be
 suitable in most cases.

## ddupdate 0.6.4

=== debian/changelog ===
ddupdate (0.6.4-1) sid; urgency=medium

  *  New upstream release
  *  Drop global systemd/system units in favor of systemd/user ones.

 -- Alec Leamas <leamas.alec@gmail.com>  Sun, 07 Jul 2019 11:35:53 -0400

ddupdate (0.6.3-1) sid; urgency=medium

  *  New upstream release
  *  Bump Standards-Version

 -- Alec Leamas <leamas.alec@gmail.com>  Wed, 12 Jun 2019 16:33:26 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Alec Leamas <leamas.alec@gmail.com>
 Build-Depends: debhelper (>= 11),
   dh-python, pkg-config, python3, python3-setuptools, systemd
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://github.com/leamas/ddupdate
 Vcs-Git: https://github.com/leamas/ddupdate.git -b debian
 Vcs-Browser: https://github.com/leamas/ddupdate/tree/debian

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  --with python3

override_dh_auto_install:
	python3 setup.py --quiet \
	    install --root=debian/tmp --install-layout=deb
	py3clean debian/tmp

override_dh_missing:
	dh_missing --fail-missing

## ddupdate 0.6.5

=== debian/changelog ===
ddupdate (0.6.5-2) unstable; urgency=medium

  * Fix config file handling causing piuparts complaints.
  * Update Standards-Version -> 4.5.0, no changes.
  * Add Rules-Requires-Root stanza in d/control.
  * Update Dep-3 patch info.
  * Use the buildsys=pybuild option in rules, simplify d/install
  * Drop temporary .pc files from debian git repo
  * New patches:
     - setup.py FTBS fix

 -- Alec Leamas <leamas.alec@gmail.com>  Fri, 18 Sep 2020 10:36:31 +0200

ddupdate (0.6.5-1) sid; urgency=medium

  * New upstream release.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Submit, Repository.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.
  * Fix error running ddupdate-config (#41)
  * New plugin domains.google.com
  * Multiple python 3.9 fixes.

 -- Alec Leamas <leamas.alec@gmail.com>  Fri, 12 Jun 2020 13:36:53 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ddupdate
export PYBUILD_AFTER_INSTALL= \
           sed -i -e 's|=.*/usr|= /usr|' -e '/^root/d' \
           {destdir}{install_dir}/ddupdate/install.conf

%:
	dh $@  --with python3 --buildsystem=pybuild

## ddupdate 0.6.6

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,16 @@
 #
 #  Standard Makefile supports targets build, install and clean + static
-#  code checking. make install respects DESTDIR.
+#  code checking. make install respects DESTDIR, build and install respects
+#  V=0 and V=1
 
 
 ifeq ($(DESTDIR),)
     DESTDIR     = $(CURDIR)/install
+endif
+
+VERBOSE         = $(or $(V),0)
+ifeq ($(VERBOSE), 0)
+    QUIET_OPT   = --quiet
 endif
 
 PYTHON_SRC      = plugins lib/ddupdate setup.py ddupdate ddupdate-config
@@ -16,10 +22,10 @@
 all:	build
 
 build:
-	python3 setup.py --quiet build
+	python3 setup.py $(QUIET_OPT) build
 
 install: .phony
-	python3 setup.py --quiet install --root=$(DESTDIR)
+	python3 setup.py $(QUIET_OPT) install --root=$(DESTDIR)
 
 clean: .phony
 	python3 setup.py clean

=== debian/changelog ===
ddupdate (0.6.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for setuptools >= 60 (Closes: #1022527)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 13 Nov 2022 10:16:41 +0200

ddupdate (0.6.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 11:03:45 +0200

ddupdate (0.6.6-1) unstable; urgency=medium

  * New upstream bugfix release
  * Drop upstreamed FTBFS setup.py patch

 -- Alec Leamas <leamas.alec@gmail.com>  Thu, 20 Jan 2022 15:12:35 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: net
 Priority: optional
 Maintainer: Alec Leamas <leamas.alec@gmail.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
   dh-python, pkg-config, python3, python3-setuptools, systemd
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/leamas/ddupdate
 Vcs-Git: https://github.com/leamas/ddupdate.git -b debian
 Vcs-Browser: https://github.com/leamas/ddupdate/tree/debian
+Rules-Requires-Root: no
 
 Package: ddupdate
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=ddupdate
+export PYBUILD_AFTER_CONFIGURE= \
+           sed -i '/glob/s|systemd_unitdir()|"lib/systemd/user"|' setup.py
 export PYBUILD_AFTER_INSTALL= \
            sed -i -e 's|=.*/usr|= /usr|' -e '/^root/d' \
            {destdir}{install_dir}/ddupdate/install.conf

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ddupdate-$1.tar.gz%" \
   https://github.com/leamas/ddupdate/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ddupdate 0.7.2

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #  Standard Makefile supports targets build, install and clean + static
 #  code checking. make install respects DESTDIR, build and install respects
 #  V=0 and V=1
-
+PYLINT          = pylint-3
 
 ifeq ($(DESTDIR),)
     DESTDIR     = $(CURDIR)/install
@@ -31,7 +31,7 @@
 	python3 setup.py clean
 
 pylint: $(PYTHON_SRC)
-	-PYTHONPATH=$(CURDIR)/lib python3-pylint \
+	-PYTHONPATH=$(CURDIR)/lib $(PYLINT) \
 	        --rcfile=pylint.conf \
 	        --msg-template='$(pylint_template)' \
 	        $?
@@ -40,6 +40,6 @@
 	pydocstyle $?
 
 pycodestyle: $(PYTHON_SRC)
-	pycodestyle $?
+	-pycodestyle $?
 
 .phony:

=== debian/changelog ===
ddupdate (0.7.2-1) unstable; urgency=medium

  * New upstream release
  * Drop upstreamed patch 0002-setuptools-60
  * d/control: BD: systemd -> systemd-dev (Closes: #1060593).

 -- Alec Leamas <leamas.alec@gmail.com>  Thu, 16 May 2024 09:01:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alec Leamas <leamas.alec@gmail.com>
 Build-Depends: debhelper-compat (= 12),
-  dh-python, pkg-config, python3, python3-setuptools, systemd
+  dh-python, pkgconf, python3, python3-setuptools, systemd-dev
 Standards-Version: 4.5.0
 Homepage: https://github.com/leamas/ddupdate
 Vcs-Git: https://github.com/leamas/ddupdate.git -b debian
